{
  "openapi": "3.0.2",
  "info": {
    "title": "Box Platform API",
    "description": "[Box Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。",
    "termsOfService": "https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9",
    "contact": {
      "name": "Box, Inc",
      "url": "https://developer.box.com",
      "email": "devrel@box.com"
    },
    "license": {
      "name": "Apache-2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0"
    },
    "version": "2025.0",
    "x-box-commit-hash": "92c221bf9d"
  },
  "servers": [
    {
      "url": "https://api.box.com/2.0",
      "description": "Box Platform APIサーバー。"
    }
  ],
  "paths": {
    "/docgen_templates": {
      "post": {
        "operationId": "post_docgen_templates_v2025.0",
        "summary": "Box Doc Genテンプレートを作成",
        "description": "ファイルをBox Doc Genテンプレートとして設定します。",
        "parameters": [
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "requestBody": {
          "description": "指定されたファイルをBox Doc Genテンプレートとして設定します。",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/DocGenTemplateCreateRequest"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "現在Box Doc Genテンプレートとして設定されているファイル。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocGenTemplate--Base"
                }
              }
            }
          },
          "400": {
            "description": "クライアントエラーが原因で、サーバーはリクエストを処理できないか、処理しません。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "403": {
            "description": "クライアントには、リクエストされたコンテンツまたはリソースへのアクセス権限がありません。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "429": {
            "description": "ユーザーが一定時間内に送信したリクエストが多すぎます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "サーバーで予期しない状況が発生しました。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "docgen_template",
        "tags": [
          "Box Doc Genテンプレート"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Box Doc Genテンプレートを作成",
            "source": "curl -L 'https://api.box.com/2.0/docgen_templates' \\\n     -H 'box-version: 2025.0' \\\n     -H 'Authorization: Bearer <ACCESS_TOKEN>' \\\n     -H 'Content-Type: application/json' \\\n     -D '{\n        \"file\": {\n            \"id\": \"12345678\",\n            \"type\": \"file\"\n        }\n}'"
          },
          {
            "lang": "dotnet",
            "label": "Box Doc Genテンプレートを作成",
            "source": "await client.DocgenTemplate.CreateDocgenTemplateV2025R0Async(requestBody: new DocGenTemplateCreateRequestV2025R0(file: new FileReferenceV2025R0(id: file.Id)));"
          },
          {
            "lang": "swift",
            "label": "Box Doc Genテンプレートを作成",
            "source": "try await client.docgenTemplate.createDocgenTemplateV2025R0(requestBody: DocGenTemplateCreateRequestV2025R0(file: FileReferenceV2025R0(id: file.id)))"
          },
          {
            "lang": "java",
            "label": "Box Doc Genテンプレートを作成",
            "source": "client.getDocgenTemplate().createDocgenTemplateV2025R0(new DocGenTemplateCreateRequestV2025R0(new FileReferenceV2025R0(file.getId())))"
          },
          {
            "lang": "node",
            "label": "Box Doc Genテンプレートを作成",
            "source": "await client.docgenTemplate.createDocgenTemplateV2025R0({\n  file: new FileReferenceV2025R0({ id: file.id }),\n} satisfies DocGenTemplateCreateRequestV2025R0);"
          },
          {
            "lang": "python",
            "label": "Box Doc Genテンプレートを作成",
            "source": "client.docgen_template.create_docgen_template_v2025_r0(FileReferenceV2025R0(id=file.id))"
          }
        ]
      },
      "get": {
        "operationId": "get_docgen_templates_v2025.0",
        "summary": "Box Doc Genテンプレートのリストを取得",
        "description": "ユーザーがコラボレータになっているBox Doc Genテンプレートのリストを取得します。",
        "parameters": [
          {
            "name": "marker",
            "in": "query",
            "description": "結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。\n\nこれを使用するには、`usemarker`を`true`に設定する必要があります。",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "返す項目の1ページあたりの最大数。",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int64",
              "maximum": 1000
            },
            "example": 1000
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "テンプレートのコレクションを返します。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocGenTemplates"
                }
              }
            }
          },
          "400": {
            "description": "ユーザーが形式の正しくないマーカーや限界値を渡した場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "401": {
            "description": "`Authorization`ヘッダーで指定されているアクセストークンが認識されないか、指定されていない場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "予期しないクライアントエラー。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "docgen_template",
        "tags": [
          "Box Doc Genテンプレート"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Box Doc Genテンプレートのリストを取得",
            "source": "curl -L 'https://api.box.com/2.0/docgen_templates' \\\n     -H 'box-version: 2025.0' \\\n     -H 'Authorization: Bearer <ACCESS_TOKEN>'"
          },
          {
            "lang": "dotnet",
            "label": "Box Doc Genテンプレートのリストを取得",
            "source": "await client.DocgenTemplate.GetDocgenTemplatesV2025R0Async();"
          },
          {
            "lang": "swift",
            "label": "Box Doc Genテンプレートのリストを取得",
            "source": "try await client.docgenTemplate.getDocgenTemplatesV2025R0()"
          },
          {
            "lang": "java",
            "label": "Box Doc Genテンプレートのリストを取得",
            "source": "client.getDocgenTemplate().getDocgenTemplatesV2025R0()"
          },
          {
            "lang": "node",
            "label": "Box Doc Genテンプレートのリストを取得",
            "source": "await client.docgenTemplate.getDocgenTemplatesV2025R0();"
          },
          {
            "lang": "python",
            "label": "Box Doc Genテンプレートのリストを取得",
            "source": "client.docgen_template.get_docgen_templates_v2025_r0()"
          }
        ]
      }
    },
    "/docgen_templates/{template_id}": {
      "delete": {
        "operationId": "delete_docgen_templates_id_v2025.0",
        "summary": "Box Doc Genテンプレートを削除",
        "description": "ファイルのBox Doc Genテンプレートの設定を解除します。",
        "parameters": [
          {
            "name": "template_id",
            "in": "path",
            "description": "Box Doc Genテンプレートの設定が解除されるファイルのID。",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "123"
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "204": {
            "description": "ファイルのBox Doc Genテンプレートの設定が解除された場合に空のレスポンスを返します。"
          },
          "400": {
            "description": "クライアントエラーが原因で、サーバーはリクエストを処理できないか、処理しません。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "403": {
            "description": "クライアントには、リクエストされたコンテンツまたはリソースへのアクセス権限がありません。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "テンプレートが見つからない場合、または関連付けられたテンプレートへのアクセス権限がユーザーに与えられていない場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "429": {
            "description": "ユーザーが一定時間内に送信したリクエストが多すぎます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "サーバーで予期しない状況が発生しました。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "docgen_template",
        "tags": [
          "Box Doc Genテンプレート"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Box Doc Genテンプレートを削除",
            "source": "curl -L -X DELETE 'https://api.box.com/2.0/docgen_templates/12345678' \\\n     -H 'box-version: 2025.0' \\\n     -H 'Authorization: Bearer <ACCESS_TOKEN>'"
          },
          {
            "lang": "dotnet",
            "label": "Box Doc Genテンプレートを削除",
            "source": "await client.DocgenTemplate.DeleteDocgenTemplateByIdV2025R0Async(templateId: NullableUtils.Unwrap(createdDocgenTemplate.File).Id);"
          },
          {
            "lang": "swift",
            "label": "Box Doc Genテンプレートを削除",
            "source": "try await client.docgenTemplate.deleteDocgenTemplateByIdV2025R0(templateId: createdDocgenTemplate.file!.id)"
          },
          {
            "lang": "java",
            "label": "Box Doc Genテンプレートを削除",
            "source": "client.getDocgenTemplate().deleteDocgenTemplateByIdV2025R0(createdDocgenTemplate.getFile().getId())"
          },
          {
            "lang": "node",
            "label": "Box Doc Genテンプレートを削除",
            "source": "await client.docgenTemplate.deleteDocgenTemplateByIdV2025R0(\n  createdDocgenTemplate.file!.id,\n);"
          },
          {
            "lang": "python",
            "label": "Box Doc Genテンプレートを削除",
            "source": "client.docgen_template.delete_docgen_template_by_id_v2025_r0(\n    created_docgen_template.file.id\n)"
          }
        ]
      },
      "get": {
        "operationId": "get_docgen_templates_id_v2025.0",
        "summary": "IDを指定してBox Doc Genテンプレートを取得",
        "description": "特定のBox Doc Genテンプレートの詳細のリストを取得します。",
        "parameters": [
          {
            "name": "template_id",
            "in": "path",
            "description": "Box Doc GenテンプレートのID。",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": 123
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "テンプレートを返します。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocGenTemplate"
                }
              }
            }
          },
          "401": {
            "description": "`Authorization`ヘッダーで指定されているアクセストークンが認識されないか、指定されていない場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "テンプレートが見つからない場合、または関連付けられたテンプレートへのアクセス権限がユーザーに与えられていない場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "予期しないクライアントエラー。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "docgen_template",
        "tags": [
          "Box Doc Genテンプレート"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "IDを指定してBox Doc Genテンプレートを取得",
            "source": "curl -L 'https://api.box.com/2.0/docgen_templates/12345678' \\\n     -H 'box-version: 2025.0' \\\n     -H 'Authorization: Bearer <ACCESS_TOKEN>'"
          },
          {
            "lang": "dotnet",
            "label": "IDを指定してBox Doc Genテンプレートを取得",
            "source": "await client.DocgenTemplate.GetDocgenTemplateByIdV2025R0Async(templateId: NullableUtils.Unwrap(createdDocgenTemplate.File).Id);"
          },
          {
            "lang": "swift",
            "label": "IDを指定してBox Doc Genテンプレートを取得",
            "source": "try await client.docgenTemplate.getDocgenTemplateByIdV2025R0(templateId: createdDocgenTemplate.file!.id)"
          },
          {
            "lang": "java",
            "label": "IDを指定してBox Doc Genテンプレートを取得",
            "source": "client.getDocgenTemplate().getDocgenTemplateByIdV2025R0(createdDocgenTemplate.getFile().getId())"
          },
          {
            "lang": "node",
            "label": "IDを指定してBox Doc Genテンプレートを取得",
            "source": "await client.docgenTemplate.getDocgenTemplateByIdV2025R0(\n  createdDocgenTemplate.file!.id,\n);"
          },
          {
            "lang": "python",
            "label": "IDを指定してBox Doc Genテンプレートを取得",
            "source": "client.docgen_template.get_docgen_template_by_id_v2025_r0(\n    created_docgen_template.file.id\n)"
          }
        ]
      }
    },
    "/docgen_templates/{template_id}/tags": {
      "get": {
        "operationId": "get_docgen_templates_id_tags_v2025.0",
        "summary": "テンプレート内のすべてのBox Doc Genテンプレートタグのリストを取得",
        "description": "Box Doc Genテンプレート内のすべてのタグのリストを取得します。",
        "parameters": [
          {
            "name": "template_id",
            "in": "path",
            "description": "テンプレートのID。",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": 123
          },
          {
            "name": "template_version_id",
            "in": "query",
            "description": "テンプレートバージョンのID。",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": 123
          },
          {
            "name": "marker",
            "in": "query",
            "description": "結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。\n\nこれを使用するには、`usemarker`を`true`に設定する必要があります。",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "返す項目の1ページあたりの最大数。",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int64",
              "maximum": 1000
            },
            "example": 1000
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "ドキュメント生成テンプレートタグのリスト。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocGenTags"
                }
              }
            }
          },
          "202": {
            "description": "ファイルのタグを処理しています。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocGenTagsProcessingMessage"
                }
              }
            }
          },
          "400": {
            "description": "ユーザーが形式の正しくないマーカーや限界値を渡した場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "403": {
            "description": "クライアントには、リクエストされたコンテンツまたはリソースへのアクセス権限がありません。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "リクエストされたリソースは見つかりませんが、将来使用できる可能性があります。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "429": {
            "description": "ユーザーが一定時間内に送信したリクエストが多すぎます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "サーバーで予期しない状況が発生しました。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "docgen_template",
        "tags": [
          "Box Doc Genテンプレート"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "テンプレート内のすべてのBox Doc Genテンプレートタグのリストを取得",
            "source": "curl -L 'https://api.box.com/2.0/docgen_templates/12345678/tags' \\\n     -H 'box-version: 2025.0' \\\n     -H 'Authorization: Bearer <ACCESS_TOKEN>'"
          },
          {
            "lang": "dotnet",
            "label": "テンプレート内のすべてのBox Doc Genテンプレートタグのリストを取得",
            "source": "await client.DocgenTemplate.GetDocgenTemplateTagsV2025R0Async(templateId: NullableUtils.Unwrap(fetchedDocgenTemplate.File).Id);"
          },
          {
            "lang": "swift",
            "label": "テンプレート内のすべてのBox Doc Genテンプレートタグのリストを取得",
            "source": "try await client.docgenTemplate.getDocgenTemplateTagsV2025R0(templateId: fetchedDocgenTemplate.file!.id)"
          },
          {
            "lang": "java",
            "label": "テンプレート内のすべてのBox Doc Genテンプレートタグのリストを取得",
            "source": "client.getDocgenTemplate().getDocgenTemplateTagsV2025R0(fetchedDocgenTemplate.getFile().getId())"
          },
          {
            "lang": "node",
            "label": "テンプレート内のすべてのBox Doc Genテンプレートタグのリストを取得",
            "source": "await client.docgenTemplate.getDocgenTemplateTagsV2025R0(\n  fetchedDocgenTemplate.file!.id,\n);"
          },
          {
            "lang": "python",
            "label": "テンプレート内のすべてのBox Doc Genテンプレートタグのリストを取得",
            "source": "client.docgen_template.get_docgen_template_tags_v2025_r0(\n    fetched_docgen_template.file.id\n)"
          }
        ]
      }
    },
    "/docgen_jobs/{job_id}": {
      "get": {
        "operationId": "get_docgen_jobs_id_v2025.0",
        "summary": "IDを指定してBox Doc Genジョブを取得",
        "description": "Box Doc Genジョブの詳細を取得します。",
        "parameters": [
          {
            "name": "job_id",
            "in": "path",
            "description": "Box Doc GenジョブのID。",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": 123
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "Box Doc Genジョブの詳細。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocGenJob"
                }
              }
            }
          },
          "403": {
            "description": "クライアントには、リクエストされたコンテンツまたはリソースへのアクセス権限がありません。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "ジョブが見つからない場合、または関連付けられたジョブへのアクセス権限がユーザーに与えられていない場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "429": {
            "description": "ユーザーが一定時間内に送信したリクエストが多すぎます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "サーバーで予期しない状況が発生しました。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "docgen",
        "tags": [
          "Box Doc Gen"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "IDを指定してBox Doc Genジョブを取得",
            "source": "curl -i -X GET \"https://api.box.com/2.0/docgen_jobs/12345\" \\\n     -H 'box-version: 2025.0' \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\""
          },
          {
            "lang": "dotnet",
            "label": "IDを指定してBox Doc Genジョブを取得",
            "source": "await client.Docgen.GetDocgenJobByIdV2025R0Async(jobId: docgenJobItemFromList.Id);"
          },
          {
            "lang": "swift",
            "label": "IDを指定してBox Doc Genジョブを取得",
            "source": "try await client.docgen.getDocgenJobByIdV2025R0(jobId: docgenJobItemFromList.id)"
          },
          {
            "lang": "java",
            "label": "IDを指定してBox Doc Genジョブを取得",
            "source": "client.getDocgen().getDocgenJobByIdV2025R0(docgenJobItemFromList.getId())"
          },
          {
            "lang": "node",
            "label": "IDを指定してBox Doc Genジョブを取得",
            "source": "await client.docgen.getDocgenJobByIdV2025R0(docgenJobItemFromList.id);"
          },
          {
            "lang": "python",
            "label": "IDを指定してBox Doc Genジョブを取得",
            "source": "client.docgen.get_docgen_job_by_id_v2025_r0(docgen_job_item_from_list.id)"
          }
        ]
      }
    },
    "/docgen_jobs": {
      "get": {
        "operationId": "get_docgen_jobs_v2025.0",
        "summary": "すべてのBox Doc Genジョブのリストを取得",
        "description": "1人のユーザーのすべてのBox Doc Genジョブのリストを取得します。",
        "parameters": [
          {
            "name": "marker",
            "in": "query",
            "description": "結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。\n\nこれを使用するには、`usemarker`を`true`に設定する必要があります。",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "返す項目の1ページあたりの最大数。",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int64",
              "maximum": 1000
            },
            "example": 1000
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "Box Doc Genジョブのリスト。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocGenJobs--Full"
                }
              }
            }
          },
          "400": {
            "description": "ユーザーが形式の正しくないマーカーや限界値を渡した場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "403": {
            "description": "クライアントには、リクエストされたコンテンツまたはリソースへのアクセス権限がありません。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "429": {
            "description": "ユーザーが一定時間内に送信したリクエストが多すぎます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "サーバーで予期しない状況が発生しました。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "docgen",
        "tags": [
          "Box Doc Gen"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "すべてのBox Doc Genジョブのリストを取得",
            "source": "curl -i -X GET \"https://api.box.com/2.0/docgen_jobs\" \\\n     -H 'box-version: 2025.0' \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\""
          },
          {
            "lang": "dotnet",
            "label": "すべてのBox Doc Genジョブのリストを取得",
            "source": "await client.Docgen.GetDocgenJobsV2025R0Async(queryParams: new GetDocgenJobsV2025R0QueryParams() { Limit = 10000L });"
          },
          {
            "lang": "swift",
            "label": "すべてのBox Doc Genジョブのリストを取得",
            "source": "try await client.docgen.getDocgenJobsV2025R0(queryParams: GetDocgenJobsV2025R0QueryParams(limit: Int64(10000)))"
          },
          {
            "lang": "java",
            "label": "すべてのBox Doc Genジョブのリストを取得",
            "source": "client.getDocgen().getDocgenJobsV2025R0(new GetDocgenJobsV2025R0QueryParams.Builder().limit(10000L).build())"
          },
          {
            "lang": "node",
            "label": "すべてのBox Doc Genジョブのリストを取得",
            "source": "await client.docgen.getDocgenJobsV2025R0({\n  limit: 10000,\n} satisfies GetDocgenJobsV2025R0QueryParams);"
          },
          {
            "lang": "python",
            "label": "すべてのBox Doc Genジョブのリストを取得",
            "source": "client.docgen.get_docgen_jobs_v2025_r0(limit=10000)"
          }
        ]
      }
    },
    "/docgen_template_jobs/{template_id}": {
      "get": {
        "operationId": "get_docgen_template_jobs_id_v2025.0",
        "summary": "テンプレートのすべてのBox Doc Genジョブのリストを取得",
        "description": "このテンプレートを使用するユーザーのジョブのリストを取得します。",
        "parameters": [
          {
            "name": "template_id",
            "in": "path",
            "description": "ジョブの取得対象となるテンプレートのID。",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": 123
          },
          {
            "name": "marker",
            "in": "query",
            "description": "結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。\n\nこれを使用するには、`usemarker`を`true`に設定する必要があります。",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "返す項目の1ページあたりの最大数。",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int64",
              "maximum": 1000
            },
            "example": 1000
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "1つのBox Doc Genテンプレート。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocGenJobs"
                }
              }
            }
          },
          "400": {
            "description": "ユーザーが形式の正しくないマーカーや限界値を渡した場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "403": {
            "description": "クライアントには、リクエストされたコンテンツまたはリソースへのアクセス権限がありません。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "テンプレートが見つからない場合、または関連付けられたテンプレートへのアクセス権限がユーザーに与えられていない場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "429": {
            "description": "ユーザーが一定時間内に送信したリクエストが多すぎます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "サーバーで予期しない状況が発生しました。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "docgen_template",
        "tags": [
          "Box Doc Genテンプレート"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "テンプレートのすべてのBox Doc Genジョブのリストを取得",
            "source": "curl -L 'https://api.box.com/2.0/docgen_template_jobs/12345678' \\\n     -H 'box-version: 2025.0' \\\n     -H 'Authorization: Bearer <ACCESS_TOKEN>'"
          },
          {
            "lang": "dotnet",
            "label": "テンプレートのすべてのBox Doc Genジョブのリストを取得",
            "source": "await client.DocgenTemplate.GetDocgenTemplateJobByIdV2025R0Async(templateId: NullableUtils.Unwrap(fetchedDocgenTemplate.File).Id);"
          },
          {
            "lang": "swift",
            "label": "テンプレートのすべてのBox Doc Genジョブのリストを取得",
            "source": "try await client.docgenTemplate.getDocgenTemplateJobByIdV2025R0(templateId: fetchedDocgenTemplate.file!.id)"
          },
          {
            "lang": "java",
            "label": "テンプレートのすべてのBox Doc Genジョブのリストを取得",
            "source": "client.getDocgenTemplate().getDocgenTemplateJobByIdV2025R0(fetchedDocgenTemplate.getFile().getId())"
          },
          {
            "lang": "node",
            "label": "テンプレートのすべてのBox Doc Genジョブのリストを取得",
            "source": "await client.docgenTemplate.getDocgenTemplateJobByIdV2025R0(\n  fetchedDocgenTemplate.file!.id,\n);"
          },
          {
            "lang": "python",
            "label": "テンプレートのすべてのBox Doc Genジョブのリストを取得",
            "source": "client.docgen_template.get_docgen_template_job_by_id_v2025_r0(\n    fetched_docgen_template.file.id\n)"
          }
        ]
      }
    },
    "/docgen_batch_jobs/{batch_id}": {
      "get": {
        "operationId": "get_docgen_batch_jobs_id_v2025.0",
        "summary": "バッチIDを指定してBox Doc Genジョブを取得",
        "description": "バッチ内のBox Doc Genジョブのリストを取得します。",
        "parameters": [
          {
            "name": "batch_id",
            "in": "path",
            "description": "Box Doc GenのバッチID。",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": 123
          },
          {
            "name": "marker",
            "in": "query",
            "description": "結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。\n\nこれを使用するには、`usemarker`を`true`に設定する必要があります。",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "返す項目の1ページあたりの最大数。",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int64",
              "maximum": 1000
            },
            "example": 1000
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "Box Doc Genのバッチ内のBox Doc Genジョブのリストを返します。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocGenJobs"
                }
              }
            }
          },
          "400": {
            "description": "ユーザーが形式の正しくないマーカーや限界値を渡した場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "403": {
            "description": "クライアントには、リクエストされたコンテンツまたはリソースへのアクセス権限がありません。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "バッチが見つからない場合、または関連付けられたバッチへのアクセス権限がユーザーに与えられていない場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "429": {
            "description": "ユーザーが一定時間内に送信したリクエストが多すぎます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "サーバーで予期しない状況が発生しました。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "docgen",
        "tags": [
          "Box Doc Gen"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "バッチIDを指定してBox Doc Genジョブを取得",
            "source": "curl -i -X GET \"https://api.box.com/2.0/docgen_batch_jobs/12345\" \\\n     -H 'box-version: 2025.0' \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\""
          },
          {
            "lang": "dotnet",
            "label": "バッチIDを指定してBox Doc Genジョブを取得",
            "source": "await client.Docgen.GetDocgenBatchJobByIdV2025R0Async(batchId: docgenBatch.Id);"
          },
          {
            "lang": "swift",
            "label": "バッチIDを指定してBox Doc Genジョブを取得",
            "source": "try await client.docgen.getDocgenBatchJobByIdV2025R0(batchId: docgenBatch.id)"
          },
          {
            "lang": "java",
            "label": "バッチIDを指定してBox Doc Genジョブを取得",
            "source": "client.getDocgen().getDocgenBatchJobByIdV2025R0(docgenBatch.getId())"
          },
          {
            "lang": "node",
            "label": "バッチIDを指定してBox Doc Genジョブを取得",
            "source": "await client.docgen.getDocgenBatchJobByIdV2025R0(docgenBatch.id);"
          },
          {
            "lang": "python",
            "label": "バッチIDを指定してBox Doc Genジョブを取得",
            "source": "client.docgen.get_docgen_batch_job_by_id_v2025_r0(docgen_batch.id)"
          }
        ]
      }
    },
    "/docgen_batches": {
      "post": {
        "operationId": "post_docgen_batches_v2025.0",
        "summary": "Box Doc Genテンプレートを使用してドキュメントを生成",
        "description": "Box Doc Genテンプレートを使用してドキュメントを生成します。",
        "parameters": [
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/DocGenBatchCreateRequest"
              }
            }
          }
        },
        "responses": {
          "202": {
            "description": "作成されたバッチID。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocGenBatch--Base"
                }
              }
            }
          },
          "403": {
            "description": "クライアントには、リクエストされたコンテンツまたはリソースへのアクセス権限がありません。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "413": {
            "description": "リクエストのペイロードのサイズが、許容される上限を超えています。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "429": {
            "description": "ユーザーが一定時間内に送信したリクエストが多すぎます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "サーバーで予期しない状況が発生しました。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "docgen",
        "tags": [
          "Box Doc Gen"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Box Doc Genテンプレートを使用してドキュメントを生成",
            "source": "curl -L 'https://api.box.com/2.0/docgen_batches' \\\n     -H 'box-version: 2025.0' \\\n     -H 'Authorization: Bearer <ACCESS_TOKEN>' \\\n     -D '{\n        \"file\": {\n            \"id\": \"12345678\",\n            \"type\": \"file\"\n        },\n        \"input_source\": \"api\",\n        \"destination_folder\": {\n            \"id\": \"12345678\",\n            \"type\": \"folder\"\n        },\n        \"output_type\": \"docx\",\n        \"document_generation_data\": [\n            {\n                \"generated_file_name\": \"Image test\",\n                \"user_input\": {\n                    \"order\": {\n                        \"id\": \"12305\",\n                        \"date\": \"18-08-2023\",\n                        \"country\": \"US\",\n                        \"expiryDate\": \"18-08-2024\",\n                        \"currency\": \"$\",\n                        \"amount\": 5060.5,\n                        \"taxRate\": 10,\n                        \"requester\": \"John\",\n                        \"approver\": \"Smith\",\n                        \"department\": \"Procurement\",\n                        \"paymentTerms\": \"30 days\",\n                        \"deliveryTerms\": \"30 days\",\n                        \"deliveryDate\": \"18-09-2023\",\n                        \"vendor\": {\n                            \"company\": \"Example company\",\n                            \"address\": {\n                                \"street\": \"Example street\",\n                                \"city\": \"Example city\",\n                                \"zip\": \"EX-456\"\n                            }\n                        },\n                        \"products\": [\n                            {\n                                \"id\": 1,\n                                \"name\": \"A4 Papers\",\n                                \"type\": \"non-fragile\",\n                                \"quantity\": 100,\n                                \"price\": 29,\n                                \"amount\": 2900\n                            },\n                            {\n                                \"id\": 2,\n                                \"name\": \"Ink  Cartridge\",\n                                \"type\": \"non-fragile\",\n                                \"quantity\": 40,\n                                \"price\": 39,\n                                \"amount\": 1560\n                            },\n                            {\n                                \"id\": 3,\n                                \"name\": \"Adhesive tape\",\n                                \"type\": \"non-fragile\",\n                                \"quantity\": 20,\n                                \"price\": 30,\n                                \"amount\": 600.5\n                            }\n                        ]\n                    }\n                }\n            }\n        ]`"
          },
          {
            "lang": "dotnet",
            "label": "Box Doc Genテンプレートを使用してドキュメントを生成",
            "source": "await client.Docgen.CreateDocgenBatchV2025R0Async(requestBody: new DocGenBatchCreateRequestV2025R0(file: new FileReferenceV2025R0(id: uploadedFileDocx.Id), inputSource: \"api\", destinationFolder: new DocGenBatchCreateRequestV2025R0DestinationFolderField(id: folder.Id), outputType: \"pdf\", documentGenerationData: Array.AsReadOnly(new [] {new DocGenDocumentGenerationDataV2025R0(generatedFileName: \"test\", userInput: new Dictionary<string, object>() { { \"abc\", \"xyz\" } })})));"
          },
          {
            "lang": "swift",
            "label": "Box Doc Genテンプレートを使用してドキュメントを生成",
            "source": "try await client.docgen.createDocgenBatchV2025R0(requestBody: DocGenBatchCreateRequestV2025R0(file: FileReferenceV2025R0(id: uploadedFileDocx.id), inputSource: \"api\", destinationFolder: DocGenBatchCreateRequestV2025R0DestinationFolderField(id: folder.id), outputType: \"pdf\", documentGenerationData: [DocGenDocumentGenerationDataV2025R0(generatedFileName: \"test\", userInput: [\"abc\": \"xyz\"])]))"
          },
          {
            "lang": "java",
            "label": "Box Doc Genテンプレートを使用してドキュメントを生成",
            "source": "client.getDocgen().createDocgenBatchV2025R0(new DocGenBatchCreateRequestV2025R0(new FileReferenceV2025R0(uploadedFileDocx.getId()), \"api\", new DocGenBatchCreateRequestV2025R0DestinationFolderField(folder.getId()), \"pdf\", Arrays.asList(new DocGenDocumentGenerationDataV2025R0(\"test\", mapOf(entryOf(\"abc\", \"xyz\"))))))"
          },
          {
            "lang": "node",
            "label": "Box Doc Genテンプレートを使用してドキュメントを生成",
            "source": "await client.docgen.createDocgenBatchV2025R0({\n  file: new FileReferenceV2025R0({ id: uploadedFileDocx.id }),\n  inputSource: 'api',\n  destinationFolder: new DocGenBatchCreateRequestV2025R0DestinationFolderField({\n    id: folder.id,\n  }),\n  outputType: 'pdf',\n  documentGenerationData: [\n    {\n      generatedFileName: 'test',\n      userInput: { ['abc']: 'xyz' },\n    } satisfies DocGenDocumentGenerationDataV2025R0,\n  ],\n} satisfies DocGenBatchCreateRequestV2025R0);"
          },
          {
            "lang": "python",
            "label": "Box Doc Genテンプレートを使用してドキュメントを生成",
            "source": "client.docgen.create_docgen_batch_v2025_r0(\n    FileReferenceV2025R0(id=uploaded_file_docx.id),\n    \"api\",\n    CreateDocgenBatchV2025R0DestinationFolder(id=folder.id),\n    \"pdf\",\n    [\n        DocGenDocumentGenerationDataV2025R0(\n            generated_file_name=\"test\", user_input={\"abc\": \"xyz\"}\n        )\n    ],\n)"
          }
        ]
      }
    },
    "/enterprise_configurations/{enterprise_id}": {
      "get": {
        "operationId": "get_enterprise_configurations_id_v2025.0",
        "summary": "Enterprise構成を取得",
        "description": "Enterprise構成を取得します。",
        "parameters": [
          {
            "name": "enterprise_id",
            "in": "path",
            "description": "企業のID。",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "3442311"
          },
          {
            "name": "categories",
            "in": "query",
            "description": "Enterprise構成のカテゴリのコンマ区切りリスト。使用可能な値: `security`、`content_and_sharing`、`user_settings`、`shield`。",
            "required": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "example": [
              "security",
              "content_and_sharing",
              "user_settings",
              "shield"
            ],
            "explode": false
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "Enterprise構成を返します。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EnterpriseConfiguration"
                }
              }
            }
          },
          "default": {
            "description": "予期しないクライアントエラー。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "enterprise_configurations",
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Enterprise構成を取得",
            "source": "curl -i -X GET \"https://api.box.com/2.0/enterprise_configurations/3442311?categories=security,content_and_sharing\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\""
          },
          {
            "lang": "dotnet",
            "label": "Enterprise構成を取得",
            "source": "await adminClient.EnterpriseConfigurations.GetEnterpriseConfigurationByIdV2025R0Async(enterpriseId: enterpriseId, queryParams: new GetEnterpriseConfigurationByIdV2025R0QueryParams(categories: Array.AsReadOnly(new [] {\"user_settings\",\"content_and_sharing\",\"security\",\"shield\"})));"
          },
          {
            "lang": "swift",
            "label": "Enterprise構成を取得",
            "source": "try await adminClient.enterpriseConfigurations.getEnterpriseConfigurationByIdV2025R0(enterpriseId: enterpriseId, queryParams: GetEnterpriseConfigurationByIdV2025R0QueryParams(categories: [\"user_settings\", \"content_and_sharing\", \"security\", \"shield\"]))"
          },
          {
            "lang": "java",
            "label": "Enterprise構成を取得",
            "source": "adminClient.getEnterpriseConfigurations().getEnterpriseConfigurationByIdV2025R0(enterpriseId, new GetEnterpriseConfigurationByIdV2025R0QueryParams(Arrays.asList(\"user_settings\", \"content_and_sharing\", \"security\", \"shield\")))"
          },
          {
            "lang": "node",
            "label": "Enterprise構成を取得",
            "source": "await adminClient.enterpriseConfigurations.getEnterpriseConfigurationByIdV2025R0(\n  enterpriseId,\n  {\n    categories: ['user_settings', 'content_and_sharing', 'security', 'shield'],\n  } satisfies GetEnterpriseConfigurationByIdV2025R0QueryParams,\n);"
          },
          {
            "lang": "python",
            "label": "Enterprise構成を取得",
            "source": "admin_client.enterprise_configurations.get_enterprise_configuration_by_id_v2025_r0(\n    enterprise_id, [\"user_settings\", \"content_and_sharing\", \"security\", \"shield\"]\n)"
          }
        ]
      }
    },
    "/hubs": {
      "get": {
        "operationId": "get_hubs_v2025.0",
        "summary": "すべてのBox Hubのリストを取得",
        "description": "リクエストしているユーザーのすべてのBox Hubを取得します。",
        "parameters": [
          {
            "name": "query",
            "in": "query",
            "description": "Box Hubを検索するためのクエリ文字列。",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "Box"
          },
          {
            "name": "scope",
            "in": "query",
            "description": "取得するBox Hubのスコープ。使用可能な値には、`editable`、`view_only`、`all`があります。デフォルトは`all`です。",
            "required": false,
            "schema": {
              "type": "string",
              "default": "all"
            },
            "example": "all"
          },
          {
            "name": "sort",
            "in": "query",
            "description": "結果の並べ替えに使用するフィールド。使用可能な値には、`name`、`updated_at`、`last_accessed_at`、`view_count`、`relevance`があります。デフォルトは`relevance`です。",
            "required": false,
            "schema": {
              "type": "string",
              "default": "relevance"
            },
            "example": "name"
          },
          {
            "name": "direction",
            "in": "query",
            "description": "結果を並べ替える方向。アルファベットの昇順 (`ASC`) または降順 (`DESC`) のいずれかを指定できます。",
            "required": false,
            "schema": {
              "type": "string",
              "enum": [
                "ASC",
                "DESC"
              ]
            },
            "example": "ASC"
          },
          {
            "name": "marker",
            "in": "query",
            "description": "結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "返す項目の1ページあたりの最大数。",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int64",
              "maximum": 1000
            },
            "example": 1000
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "指定したユーザーまたは企業のすべてのBox Hubを返します。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Hubs"
                }
              }
            }
          },
          "default": {
            "description": "予期しないクライアントエラー。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hubs",
        "tags": [
          "Box Hubs"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "すべてのBox Hubのリストを取得",
            "source": "curl -i -X GET \"https://api.box.com/2.0/hubs\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\""
          },
          {
            "lang": "dotnet",
            "label": "すべてのBox Hubのリストを取得",
            "source": "await client.Hubs.GetHubsV2025R0Async(queryParams: new GetHubsV2025R0QueryParams() { Scope = \"all\", Sort = \"name\", Direction = GetHubsV2025R0QueryParamsDirectionField.Asc });"
          },
          {
            "lang": "swift",
            "label": "すべてのBox Hubのリストを取得",
            "source": "try await client.hubs.getHubsV2025R0(queryParams: GetHubsV2025R0QueryParams(scope: \"all\", sort: \"name\", direction: GetHubsV2025R0QueryParamsDirectionField.asc))"
          },
          {
            "lang": "java",
            "label": "すべてのBox Hubのリストを取得",
            "source": "client.getHubs().getHubsV2025R0(new GetHubsV2025R0QueryParams.Builder().scope(\"all\").sort(\"name\").direction(GetHubsV2025R0QueryParamsDirectionField.ASC).build())"
          },
          {
            "lang": "node",
            "label": "すべてのBox Hubのリストを取得",
            "source": "await client.hubs.getHubsV2025R0({\n  scope: 'all',\n  sort: 'name',\n  direction: 'ASC' as GetHubsV2025R0QueryParamsDirectionField,\n} satisfies GetHubsV2025R0QueryParams);"
          },
          {
            "lang": "python",
            "label": "すべてのBox Hubのリストを取得",
            "source": "client.hubs.get_hubs_v2025_r0(\n    scope=\"all\", sort=\"name\", direction=GetHubsV2025R0Direction.ASC\n)"
          }
        ]
      },
      "post": {
        "operationId": "post_hubs_v2025.0",
        "summary": "Box Hubを作成",
        "description": "新しいBox Hubを作成します。",
        "parameters": [
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HubCreateRequest"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "新しいHubオブジェクトを返します。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Hub"
                }
              }
            }
          },
          "400": {
            "description": "リクエストパラメータのいずれかが無効な場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "403": {
            "description": "ユーザーにHubを作成するための適切な権限がない場合にエラーを返します。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "予期しないクライアントエラー。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hubs",
        "tags": [
          "Box Hubs"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Box Hubを作成",
            "source": "curl -i -X POST \"https://api.box.com/2.0/hubs\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\" \\\n     -H \"content-type: application/json\" \\\n     -d '{\n       \"title\": \"Hub Title\",\n       \"description\": \"This is a description of the Box Hub.\"\n     }'"
          },
          {
            "lang": "dotnet",
            "label": "Box Hubを作成",
            "source": "await client.Hubs.CreateHubV2025R0Async(requestBody: new HubCreateRequestV2025R0(title: hubTitle) { Description = hubDescription });"
          },
          {
            "lang": "swift",
            "label": "Box Hubを作成",
            "source": "try await client.hubs.createHubV2025R0(requestBody: HubCreateRequestV2025R0(title: hubTitle, description: hubDescription))"
          },
          {
            "lang": "java",
            "label": "Box Hubを作成",
            "source": "client.getHubs().createHubV2025R0(new HubCreateRequestV2025R0.Builder(hubTitle).description(hubDescription).build())"
          },
          {
            "lang": "node",
            "label": "Box Hubを作成",
            "source": "await client.hubs.createHubV2025R0({\n  title: hubTitle,\n  description: hubDescription,\n} satisfies HubCreateRequestV2025R0);"
          },
          {
            "lang": "python",
            "label": "Box Hubを作成",
            "source": "client.hubs.create_hub_v2025_r0(hub_title, description=hub_description)"
          }
        ]
      }
    },
    "/enterprise_hubs": {
      "get": {
        "operationId": "get_enterprise_hubs_v2025.0",
        "summary": "リクエストしている企業のすべてのBox Hubのリストを取得",
        "description": "指定した企業のすべてのBox Hubを取得します。\n\nこのコールは、GCMスコープが設定されている、企業の管理者またはHub共同管理者が実行できます。",
        "parameters": [
          {
            "name": "query",
            "in": "query",
            "description": "Box Hubを検索するためのクエリ文字列。",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "Box"
          },
          {
            "name": "sort",
            "in": "query",
            "description": "結果の並べ替えに使用するフィールド。使用可能な値には、`name`、`updated_at`、`last_accessed_at`、`view_count`、`relevance`があります。デフォルトは`relevance`です。",
            "required": false,
            "schema": {
              "type": "string",
              "default": "relevance"
            },
            "example": "name"
          },
          {
            "name": "direction",
            "in": "query",
            "description": "結果を並べ替える方向。アルファベットの昇順 (`ASC`) または降順 (`DESC`) のいずれかを指定できます。",
            "required": false,
            "schema": {
              "type": "string",
              "enum": [
                "ASC",
                "DESC"
              ]
            },
            "example": "ASC"
          },
          {
            "name": "marker",
            "in": "query",
            "description": "結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "返す項目の1ページあたりの最大数。",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int64",
              "maximum": 1000
            },
            "example": 1000
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "指定したユーザーまたは企業のすべてのBox Hubを返します。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Hubs"
                }
              }
            }
          },
          "default": {
            "description": "予期しないクライアントエラー。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hubs",
        "tags": [
          "Box Hubs"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "リクエストしている企業のすべてのBox Hubのリストを取得",
            "source": "curl -i -X GET \"https://api.box.com/2.0/enterprise_hubs\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\""
          },
          {
            "lang": "dotnet",
            "label": "リクエストしている企業のすべてのBox Hubのリストを取得",
            "source": "await client.Hubs.GetEnterpriseHubsV2025R0Async(queryParams: new GetEnterpriseHubsV2025R0QueryParams() { Sort = \"name\", Direction = GetEnterpriseHubsV2025R0QueryParamsDirectionField.Asc });"
          },
          {
            "lang": "swift",
            "label": "リクエストしている企業のすべてのBox Hubのリストを取得",
            "source": "try await client.hubs.getEnterpriseHubsV2025R0(queryParams: GetEnterpriseHubsV2025R0QueryParams(sort: \"name\", direction: GetEnterpriseHubsV2025R0QueryParamsDirectionField.asc))"
          },
          {
            "lang": "java",
            "label": "リクエストしている企業のすべてのBox Hubのリストを取得",
            "source": "client.getHubs().getEnterpriseHubsV2025R0(new GetEnterpriseHubsV2025R0QueryParams.Builder().sort(\"name\").direction(GetEnterpriseHubsV2025R0QueryParamsDirectionField.ASC).build())"
          },
          {
            "lang": "node",
            "label": "リクエストしている企業のすべてのBox Hubのリストを取得",
            "source": "await client.hubs.getEnterpriseHubsV2025R0({\n  sort: 'name',\n  direction: 'ASC' as GetEnterpriseHubsV2025R0QueryParamsDirectionField,\n} satisfies GetEnterpriseHubsV2025R0QueryParams);"
          },
          {
            "lang": "python",
            "label": "リクエストしている企業のすべてのBox Hubのリストを取得",
            "source": "client.hubs.get_enterprise_hubs_v2025_r0(\n    sort=\"name\", direction=GetEnterpriseHubsV2025R0Direction.ASC\n)"
          }
        ]
      }
    },
    "/hubs/{hub_id}": {
      "get": {
        "operationId": "get_hubs_id_v2025.0",
        "summary": "IDを指定してBox Hubの情報を取得",
        "description": "IDを指定してBox Hubの詳細を取得します。",
        "parameters": [
          {
            "name": "hub_id",
            "in": "path",
            "description": "Hubを表す一意の識別子。\n\nHubのIDを確認するには、ウェブアプリでこのHubにアクセスして、URLからIDをコピーします。たとえば、URLが`https://*.app.box.com/hubs/123`の場合、`hub_id`は`123`です。",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "12345"
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "Hubオブジェクトを返します。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Hub"
                }
              }
            }
          },
          "401": {
            "description": "`Authorization`ヘッダーで指定されているアクセストークンが認識されないか、指定されていない場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "Hubが見つからない場合、またはユーザーにHubへのアクセス権限が与えられていない場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "予期しないクライアントエラー。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hubs",
        "tags": [
          "Box Hubs"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "IDを指定してBox Hubの情報を取得",
            "source": "curl -i -X GET \"https://api.box.com/2.0/hubs/12345\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\""
          },
          {
            "lang": "dotnet",
            "label": "IDを指定してBox Hubの情報を取得",
            "source": "await client.Hubs.GetHubByIdV2025R0Async(hubId: hubId);"
          },
          {
            "lang": "swift",
            "label": "IDを指定してBox Hubの情報を取得",
            "source": "try await client.hubs.getHubByIdV2025R0(hubId: hubId)"
          },
          {
            "lang": "java",
            "label": "IDを指定してBox Hubの情報を取得",
            "source": "client.getHubs().getHubByIdV2025R0(hubId)"
          },
          {
            "lang": "node",
            "label": "IDを指定してBox Hubの情報を取得",
            "source": "await client.hubs.getHubByIdV2025R0(hubId);"
          },
          {
            "lang": "python",
            "label": "IDを指定してBox Hubの情報を取得",
            "source": "client.hubs.get_hub_by_id_v2025_r0(hub_id)"
          }
        ]
      },
      "put": {
        "operationId": "put_hubs_id_v2025.0",
        "summary": "IDを指定してBox Hubの情報を更新",
        "description": "Box Hubを更新します。タイトル、説明、またはBox Hubの設定の変更に使用できます。",
        "parameters": [
          {
            "name": "hub_id",
            "in": "path",
            "description": "Hubを表す一意の識別子。\n\nHubのIDを確認するには、ウェブアプリでこのHubにアクセスして、URLからIDをコピーします。たとえば、URLが`https://*.app.box.com/hubs/123`の場合、`hub_id`は`123`です。",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "12345"
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HubUpdateRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Hubオブジェクトを返します。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Hub"
                }
              }
            }
          },
          "401": {
            "description": "`Authorization`ヘッダーで指定されているアクセストークンが認識されないか、指定されていない場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "Hubが見つからない場合、またはユーザーにHubへのアクセス権限が与えられていない場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "予期しないクライアントエラー。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hubs",
        "tags": [
          "Box Hubs"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "IDを指定してBox Hubの情報を更新",
            "source": "curl -i -X PUT \"https://api.box.com/2.0/hubs/12345\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\" \\\n     -H \"content-type: application/json\" \\\n     -d '{\n       \"title\": \"Updated Hub Title\",\n       \"description\": \"Updated description of the Box Hub.\"\n     }'"
          },
          {
            "lang": "dotnet",
            "label": "IDを指定してBox Hubの情報を更新",
            "source": "await client.Hubs.UpdateHubByIdV2025R0Async(hubId: hubId, requestBody: new HubUpdateRequestV2025R0() { Title = newHubTitle, Description = newHubDescription });"
          },
          {
            "lang": "swift",
            "label": "IDを指定してBox Hubの情報を更新",
            "source": "try await client.hubs.updateHubByIdV2025R0(hubId: hubId, requestBody: HubUpdateRequestV2025R0(title: newHubTitle, description: newHubDescription))"
          },
          {
            "lang": "java",
            "label": "IDを指定してBox Hubの情報を更新",
            "source": "client.getHubs().updateHubByIdV2025R0(hubId, new HubUpdateRequestV2025R0.Builder().title(newHubTitle).description(newHubDescription).build())"
          },
          {
            "lang": "node",
            "label": "IDを指定してBox Hubの情報を更新",
            "source": "await client.hubs.updateHubByIdV2025R0(hubId, {\n  title: newHubTitle,\n  description: newHubDescription,\n} satisfies HubUpdateRequestV2025R0);"
          },
          {
            "lang": "python",
            "label": "IDを指定してBox Hubの情報を更新",
            "source": "client.hubs.update_hub_by_id_v2025_r0(\n    hub_id, title=new_hub_title, description=new_hub_description\n)"
          }
        ]
      },
      "delete": {
        "operationId": "delete_hubs_id_v2025.0",
        "summary": "Box Hubを削除",
        "description": "1つのBox Hubを削除します。",
        "parameters": [
          {
            "name": "hub_id",
            "in": "path",
            "description": "Hubを表す一意の識別子。\n\nHubのIDを確認するには、ウェブアプリでこのHubにアクセスして、URLからIDをコピーします。たとえば、URLが`https://*.app.box.com/hubs/123`の場合、`hub_id`は`123`です。",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "12345"
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "204": {
            "description": "Hubが正常に削除された場合は、空のレスポンスが返されます。"
          },
          "401": {
            "description": "`Authorization`ヘッダーで指定されているアクセストークンが認識されないか、指定されていない場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "Hubが見つからないかすでに削除されている場合、またはユーザーにHubへのアクセス権限が与えられていない場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "予期しないクライアントエラー。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hubs",
        "tags": [
          "Box Hubs"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Box Hubを削除",
            "source": "curl -i -X DELETE \"https://api.box.com/2.0/hubs/12345\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\""
          },
          {
            "lang": "dotnet",
            "label": "Box Hubを削除",
            "source": "await client.Hubs.DeleteHubByIdV2025R0Async(hubId: hubId);"
          },
          {
            "lang": "swift",
            "label": "Box Hubを削除",
            "source": "try await client.hubs.deleteHubByIdV2025R0(hubId: hubId)"
          },
          {
            "lang": "java",
            "label": "Box Hubを削除",
            "source": "client.getHubs().deleteHubByIdV2025R0(hubId)"
          },
          {
            "lang": "node",
            "label": "Box Hubを削除",
            "source": "await client.hubs.deleteHubByIdV2025R0(hubId);"
          },
          {
            "lang": "python",
            "label": "Box Hubを削除",
            "source": "client.hubs.delete_hub_by_id_v2025_r0(hub_id)"
          }
        ]
      }
    },
    "/hubs/{hub_id}/copy": {
      "post": {
        "operationId": "post_hubs_id_copy_v2025.0",
        "summary": "Box Hubをコピー",
        "description": "Box Hubのコピーを作成します。\n\n元のBox Hubは変更されません。",
        "parameters": [
          {
            "name": "hub_id",
            "in": "path",
            "description": "Hubを表す一意の識別子。\n\nHubのIDを確認するには、ウェブアプリでこのHubにアクセスして、URLからIDをコピーします。たとえば、URLが`https://*.app.box.com/hubs/123`の場合、`hub_id`は`123`です。",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "12345"
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HubCopyRequest"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "新しいHubオブジェクトを返します。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Hub"
                }
              }
            }
          },
          "403": {
            "description": "ユーザーにHubを作成するための適切な権限がない場合にエラーを返します。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "予期しないクライアントエラー。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hubs",
        "tags": [
          "Box Hubs"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Box Hubをコピー",
            "source": "curl -i -X POST \"https://api.box.com/2.0/hubs/12345/copy\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\" \\\n     -H \"content-type: application/json\" \\\n     -d '{\n       \"title\": \"Copied Hub Title\",\n       \"description\": \"A copy of the original Box Hub.\"\n     }'"
          },
          {
            "lang": "dotnet",
            "label": "Box Hubをコピー",
            "source": "await client.Hubs.CopyHubV2025R0Async(hubId: createdHub.Id, requestBody: new HubCopyRequestV2025R0() { Title = copiedHubTitle, Description = copiedHubDescription });"
          },
          {
            "lang": "swift",
            "label": "Box Hubをコピー",
            "source": "try await client.hubs.copyHubV2025R0(hubId: createdHub.id, requestBody: HubCopyRequestV2025R0(title: copiedHubTitle, description: copiedHubDescription))"
          },
          {
            "lang": "java",
            "label": "Box Hubをコピー",
            "source": "client.getHubs().copyHubV2025R0(createdHub.getId(), new HubCopyRequestV2025R0.Builder().title(copiedHubTitle).description(copiedHubDescription).build())"
          },
          {
            "lang": "node",
            "label": "Box Hubをコピー",
            "source": "await client.hubs.copyHubV2025R0(createdHub.id, {\n  title: copiedHubTitle,\n  description: copiedHubDescription,\n} satisfies HubCopyRequestV2025R0);"
          },
          {
            "lang": "python",
            "label": "Box Hubをコピー",
            "source": "client.hubs.copy_hub_v2025_r0(\n    created_hub.id, title=copied_hub_title, description=copied_hub_description\n)"
          }
        ]
      }
    },
    "/hub_collaborations": {
      "get": {
        "operationId": "get_hub_collaborations_v2025.0",
        "summary": "Box Hubコラボレーションを取得",
        "description": "Box Hubのすべてのコラボレーションを取得します。",
        "parameters": [
          {
            "name": "hub_id",
            "in": "query",
            "description": "Hubを表す一意の識別子。\n\nHubのIDを確認するには、ウェブアプリでこのHubにアクセスして、URLからIDをコピーします。たとえば、URLが`https://*.app.box.com/hubs/123`の場合、`hub_id`は`123`です。",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "12345"
          },
          {
            "name": "marker",
            "in": "query",
            "description": "結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。\n\nこれを使用するには、`usemarker`を`true`に設定する必要があります。",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "返す項目の1ページあたりの最大数。",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int64",
              "maximum": 1000
            },
            "example": 1000
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "指定されたBox Hubに関連付けられているコラボレーションを取得します。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HubCollaborations"
                }
              }
            }
          },
          "401": {
            "description": "`Authorization`ヘッダーで指定されているアクセストークンが認識されないか、指定されていない場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "Box Hubが見つからない場合、またはユーザーにBox Hubへのアクセス権限が与えられていない場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "予期しないクライアントエラー。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hub_collaborations",
        "tags": [
          "Box Hubコラボレーション"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Box Hubコラボレーションを取得",
            "source": "curl -i -X GET \"https://api.box.com/2.0/hub_collaborations?hub_id=12345\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\""
          },
          {
            "lang": "dotnet",
            "label": "Box Hubコラボレーションを取得",
            "source": "await client.HubCollaborations.GetHubCollaborationsV2025R0Async(queryParams: new GetHubCollaborationsV2025R0QueryParams(hubId: hub.Id));"
          },
          {
            "lang": "swift",
            "label": "Box Hubコラボレーションを取得",
            "source": "try await client.hubCollaborations.getHubCollaborationsV2025R0(queryParams: GetHubCollaborationsV2025R0QueryParams(hubId: hub.id))"
          },
          {
            "lang": "java",
            "label": "Box Hubコラボレーションを取得",
            "source": "client.getHubCollaborations().getHubCollaborationsV2025R0(new GetHubCollaborationsV2025R0QueryParams(hub.getId()))"
          },
          {
            "lang": "node",
            "label": "Box Hubコラボレーションを取得",
            "source": "await client.hubCollaborations.getHubCollaborationsV2025R0({\n  hubId: hub.id,\n} satisfies GetHubCollaborationsV2025R0QueryParams);"
          },
          {
            "lang": "python",
            "label": "Box Hubコラボレーションを取得",
            "source": "client.hub_collaborations.get_hub_collaborations_v2025_r0(hub.id)"
          }
        ]
      },
      "post": {
        "operationId": "post_hub_collaborations_v2025.0",
        "summary": "Box Hubコラボレーションを作成",
        "description": "Box Hubに個々のユーザーまたはグループのコラボレーションを追加します。\n\nコラボレーションは、メールアドレス、ユーザーID、またはグループIDを使用して作成できます。",
        "parameters": [
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HubCollaborationCreateRequest"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "新しいBox Hubコラボレーションオブジェクトを返します。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HubCollaboration"
                }
              }
            }
          },
          "403": {
            "description": "ユーザーにコラボレーションを作成するための適切な権限がない場合にエラーを返します。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "予期しないクライアントエラー。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hub_collaborations",
        "tags": [
          "Box Hubコラボレーション"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Box Hubコラボレーションを作成",
            "source": "curl -i -X POST \"https://api.box.com/2.0/hub_collaborations\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\" \\\n     -H \"content-type: application/json\" \\\n     -d '{\n       \"hub\": {\n         \"type\": \"hubs\",\n         \"id\": \"42037322\"\n       },\n       \"accessible_by\": {\n         \"type\": \"user\",\n         \"id\": \"23522323\"\n       },\n       \"role\": \"viewer\"\n     }'"
          },
          {
            "lang": "dotnet",
            "label": "Box Hubコラボレーションを作成",
            "source": "await client.HubCollaborations.CreateHubCollaborationV2025R0Async(requestBody: new HubCollaborationCreateRequestV2025R0(hub: new HubCollaborationCreateRequestV2025R0HubField(id: hub.Id), accessibleBy: new HubCollaborationCreateRequestV2025R0AccessibleByField(type: \"user\") { Id = user.Id }, role: \"viewer\"));"
          },
          {
            "lang": "swift",
            "label": "Box Hubコラボレーションを作成",
            "source": "try await client.hubCollaborations.createHubCollaborationV2025R0(requestBody: HubCollaborationCreateRequestV2025R0(hub: HubCollaborationCreateRequestV2025R0HubField(id: hub.id), accessibleBy: HubCollaborationCreateRequestV2025R0AccessibleByField(type: \"user\", id: user.id), role: \"viewer\"))"
          },
          {
            "lang": "java",
            "label": "Box Hubコラボレーションを作成",
            "source": "client.getHubCollaborations().createHubCollaborationV2025R0(new HubCollaborationCreateRequestV2025R0(new HubCollaborationCreateRequestV2025R0HubField(hub.getId()), new HubCollaborationCreateRequestV2025R0AccessibleByField.Builder(\"user\").id(user.getId()).build(), \"viewer\"))"
          },
          {
            "lang": "node",
            "label": "Box Hubコラボレーションを作成",
            "source": "await client.hubCollaborations.createHubCollaborationV2025R0({\n  hub: new HubCollaborationCreateRequestV2025R0HubField({ id: hub.id }),\n  accessibleBy: {\n    type: 'user',\n    id: user.id,\n  } satisfies HubCollaborationCreateRequestV2025R0AccessibleByField,\n  role: 'viewer',\n} satisfies HubCollaborationCreateRequestV2025R0);"
          },
          {
            "lang": "python",
            "label": "Box Hubコラボレーションを作成",
            "source": "client.hub_collaborations.create_hub_collaboration_v2025_r0(\n    CreateHubCollaborationV2025R0Hub(id=hub.id),\n    CreateHubCollaborationV2025R0AccessibleBy(type=\"user\", id=user.id),\n    \"viewer\",\n)"
          }
        ]
      }
    },
    "/hub_collaborations/{hub_collaboration_id}": {
      "get": {
        "operationId": "get_hub_collaborations_id_v2025.0",
        "summary": "コラボレーションIDを指定してBox Hubコラボレーションを取得",
        "description": "コラボレーションIDを指定してBox Hubコラボレーションの詳細を取得します。",
        "parameters": [
          {
            "name": "hub_collaboration_id",
            "in": "path",
            "description": "HubコラボレーションのID。",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "1234"
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "Box Hubコラボレーションオブジェクトを返します。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HubCollaboration"
                }
              }
            }
          },
          "401": {
            "description": "`Authorization`ヘッダーで指定されているアクセストークンが認識されないか、指定されていない場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "Box Hubが見つからない場合、またはユーザーにBox Hubへのアクセス権限が与えられていない場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "予期しないクライアントエラー。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hub_collaborations",
        "tags": [
          "Box Hubコラボレーション"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "コラボレーションIDを指定してBox Hubコラボレーションを取得",
            "source": "curl -i -X GET \"https://api.box.com/2.0/hub_collaborations/1234\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\""
          },
          {
            "lang": "dotnet",
            "label": "コラボレーションIDを指定してBox Hubコラボレーションを取得",
            "source": "await client.HubCollaborations.GetHubCollaborationByIdV2025R0Async(hubCollaborationId: createdCollaboration.Id);"
          },
          {
            "lang": "swift",
            "label": "コラボレーションIDを指定してBox Hubコラボレーションを取得",
            "source": "try await client.hubCollaborations.getHubCollaborationByIdV2025R0(hubCollaborationId: createdCollaboration.id)"
          },
          {
            "lang": "java",
            "label": "コラボレーションIDを指定してBox Hubコラボレーションを取得",
            "source": "client.getHubCollaborations().getHubCollaborationByIdV2025R0(createdCollaboration.getId())"
          },
          {
            "lang": "node",
            "label": "コラボレーションIDを指定してBox Hubコラボレーションを取得",
            "source": "await client.hubCollaborations.getHubCollaborationByIdV2025R0(\n  createdCollaboration.id,\n);"
          },
          {
            "lang": "python",
            "label": "コラボレーションIDを指定してBox Hubコラボレーションを取得",
            "source": "client.hub_collaborations.get_hub_collaboration_by_id_v2025_r0(created_collaboration.id)"
          }
        ]
      },
      "put": {
        "operationId": "put_hub_collaborations_id_v2025.0",
        "summary": "Box Hubコラボレーションを更新",
        "description": "Box Hubコラボレーションを更新します。これは、Box Hubのロールを変更するのに使用できます。",
        "parameters": [
          {
            "name": "hub_collaboration_id",
            "in": "path",
            "description": "HubコラボレーションのID。",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "1234"
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HubCollaborationUpdateRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "更新されたBox Hubコラボレーションオブジェクトを返します。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HubCollaboration"
                }
              }
            }
          },
          "403": {
            "description": "認証済みユーザーにコラボレーションを更新するための適切な権限がない場合にエラーを返します。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "予期しないクライアントエラー。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hub_collaborations",
        "tags": [
          "Box Hubコラボレーション"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Box Hubコラボレーションを更新",
            "source": "curl -i -X PUT \"https://api.box.com/2.0/hub_collaborations/1234\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\" \\\n     -H \"content-type: application/json\" \\\n     -d '{\n       \"role\": \"editor\"\n     }'"
          },
          {
            "lang": "dotnet",
            "label": "Box Hubコラボレーションを更新",
            "source": "await client.HubCollaborations.UpdateHubCollaborationByIdV2025R0Async(hubCollaborationId: createdCollaboration.Id, requestBody: new HubCollaborationUpdateRequestV2025R0() { Role = \"editor\" });"
          },
          {
            "lang": "swift",
            "label": "Box Hubコラボレーションを更新",
            "source": "try await client.hubCollaborations.updateHubCollaborationByIdV2025R0(hubCollaborationId: createdCollaboration.id, requestBody: HubCollaborationUpdateRequestV2025R0(role: \"editor\"))"
          },
          {
            "lang": "java",
            "label": "Box Hubコラボレーションを更新",
            "source": "client.getHubCollaborations().updateHubCollaborationByIdV2025R0(createdCollaboration.getId(), new HubCollaborationUpdateRequestV2025R0.Builder().role(\"editor\").build())"
          },
          {
            "lang": "node",
            "label": "Box Hubコラボレーションを更新",
            "source": "await client.hubCollaborations.updateHubCollaborationByIdV2025R0(\n  createdCollaboration.id,\n  { role: 'editor' } satisfies HubCollaborationUpdateRequestV2025R0,\n);"
          },
          {
            "lang": "python",
            "label": "Box Hubコラボレーションを更新",
            "source": "client.hub_collaborations.update_hub_collaboration_by_id_v2025_r0(\n    created_collaboration.id, role=\"editor\"\n)"
          }
        ]
      },
      "delete": {
        "operationId": "delete_hub_collaborations_id_v2025.0",
        "summary": "Box Hubコラボレーションを削除",
        "description": "1つのBox Hubコラボレーションを削除します。",
        "parameters": [
          {
            "name": "hub_collaboration_id",
            "in": "path",
            "description": "HubコラボレーションのID。",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "1234"
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "204": {
            "description": "Box Hubコラボレーションが正常に削除された場合は、空のレスポンスが返されます。"
          },
          "404": {
            "description": "Box Hubコラボレーションが見つからないか、認証済みユーザーがBox Hubコラボレーションにアクセスできない場合はエラーを返します。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "予期しないクライアントエラー。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hub_collaborations",
        "tags": [
          "Box Hubコラボレーション"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Box Hubコラボレーションを削除",
            "source": "curl -i -X DELETE \"https://api.box.com/2.0/hub_collaborations/1234\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\""
          },
          {
            "lang": "dotnet",
            "label": "Box Hubコラボレーションを削除",
            "source": "await client.HubCollaborations.DeleteHubCollaborationByIdV2025R0Async(hubCollaborationId: createdCollaboration.Id);"
          },
          {
            "lang": "swift",
            "label": "Box Hubコラボレーションを削除",
            "source": "try await client.hubCollaborations.deleteHubCollaborationByIdV2025R0(hubCollaborationId: createdCollaboration.id)"
          },
          {
            "lang": "java",
            "label": "Box Hubコラボレーションを削除",
            "source": "client.getHubCollaborations().deleteHubCollaborationByIdV2025R0(createdCollaboration.getId())"
          },
          {
            "lang": "node",
            "label": "Box Hubコラボレーションを削除",
            "source": "await client.hubCollaborations.deleteHubCollaborationByIdV2025R0(\n  createdCollaboration.id,\n);"
          },
          {
            "lang": "python",
            "label": "Box Hubコラボレーションを削除",
            "source": "client.hub_collaborations.delete_hub_collaboration_by_id_v2025_r0(\n    created_collaboration.id\n)"
          }
        ]
      }
    },
    "/hub_items": {
      "get": {
        "operationId": "get_hub_items_v2025.0",
        "summary": "Box Hubの項目を取得",
        "description": "Box Hubに関連付けられているすべての項目を取得します。",
        "parameters": [
          {
            "name": "hub_id",
            "in": "query",
            "description": "Hubを表す一意の識別子。\n\nHubのIDを確認するには、ウェブアプリでこのHubにアクセスして、URLからIDをコピーします。たとえば、URLが`https://*.app.box.com/hubs/123`の場合、`hub_id`は`123`です。",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "12345"
          },
          {
            "name": "parent_id",
            "in": "query",
            "description": "Box Hub内の項目リストブロックの一意の識別子。\n\n指定されている場合、レスポンスには、指定した項目リストに属している項目のみが含まれます。これにより、結果にフィルタをかけて、特定のページまたはセクションの項目に絞り込むことができます。",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "721d97d7-ac8a-4e5e-adb6-ef11af4e6d9e"
          },
          {
            "name": "marker",
            "in": "query",
            "description": "結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。\n\nこれを使用するには、`usemarker`を`true`に設定する必要があります。",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "返す項目の1ページあたりの最大数。",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int64",
              "maximum": 1000
            },
            "example": 1000
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "指定されたBox Hubに関連付けられている項目を取得します。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HubItems"
                }
              }
            }
          },
          "401": {
            "description": "`Authorization`ヘッダーで指定されているアクセストークンが認識されないか、指定されていない場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "Box Hubが見つからない場合、またはユーザーにBox Hubへのアクセス権限が与えられていない場合に返されます。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "予期しないクライアントエラー。",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hub_items",
        "tags": [
          "Box Hubの項目"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Box Hubの項目を取得",
            "source": "curl -i -X GET \"https://api.box.com/2.0/hub_items?hub_id=12345\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\""
          },
          {
            "lang": "dotnet",
            "label": "Box Hubの項目を取得",
            "source": "await client.HubItems.GetHubItemsV2025R0Async(queryParams: new GetHubItemsV2025R0QueryParams(hubId: createdHub.Id));"
          },
          {
            "lang": "swift",
            "label": "Box Hubの項目を取得",
            "source": "try await client.hubItems.getHubItemsV2025R0(queryParams: GetHubItemsV2025R0QueryParams(hubId: createdHub.id))"
          },
          {
            "lang": "java",
            "label": "Box Hubの項目を取得",
            "source": "client.getHubItems().getHubItemsV2025R0(new GetHubItemsV2025R0QueryParams(createdHub.getId()))"
          },
          {
            "lang": "node",
            "label": "Box Hubの項目を取得",
            "source": "await client.hubItems.getHubItemsV2025R0({\n  hubId: createdHub.id,\n} satisfies GetHubItemsV2025R0QueryParams);"
          },
          {
            "lang": "python",
            "label": "Box Hubの項目を取得",
            "source": "client.hub_items.get_hub_items_v2025_r0(created_hub.id)"
          }
        ]
      }
    },
    "/hubs/{hub_id}/manage_items": {
      "post": {
        "operationId": "post_hubs_id_manage_items_v2025.0",
        "summary": "Box Hubの項目を管理",
        "description": "Box HubからBox Hubの項目を追加または削除します。",
        "parameters": [
          {
            "name": "hub_id",
            "in": "path",
            "description": "Hubを表す一意の識別子。\n\nHubのIDを確認するには、ウェブアプリでこのHubにアクセスして、URLからIDをコピーします。たとえば、URLが`https://*.app.box.com/hubs/123`の場合、`hub_id`は`123`です。",
            "required": true,
[...]
